%define anolis_release 1

Name:		mpfr
Version:	4.1.0
Release:	%{anolis_release}%{?dist}
Summary:	C library for multiple-precision floating-point computations

License:	LGPLv3+
URL:		https://www.mpfr.org/
Source0:	https://www.mpfr.org/%{name}-%{version}/%{name}-%{version}.tar.xz

# patches provided by upstream
Patch0001:	0001-decimal128-conv.patch
Patch0002:	0002-random_deviate.patch
Patch0003:	0003-set_z_2exp-overflow.patch
Patch0004:	0004-prototypes.patch
Patch0005:	0005-digamma-hugemem.patch
Patch0006:	0006-digamma-interm-zero.patch
Patch0007:	0007-jn-interm-zero.patch
Patch0008:	0008-digamma-interm-zero2.patch
Patch0009:	0009-jyn_asympt-interm-zero.patch
Patch0010:	0010-macros.patch
Patch0011:	0011-tset_sij.patch
Patch0012:	0012-get_str_ndigits.patch
Patch0013:	0013-vasprintf-prec-zero.patch

BuildRequires:	gcc
BuildRequires:	gmp-devel
BuildRequires:	make
BuildRequires:	texinfo

%description
The MPFR library is a C library for multiple-precision floating-point
computations with "correct rounding". The MPFR is efficient and also has
a well-defined semantics. It copies the good ideas from the
ANSI/IEEE-754 standard for double-precision floating-point arithmetic
(53-bit mantissa). MPFR is based on the GMP multiple-precision library.

%package devel
Summary: Development files for the MPFR library
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: gmp-devel%{?_isa}

%description devel
Header files and documentation for using the MPFR multiple-precision
floating-point library in applications.

If you want to develop applications which will use the MPFR library,
you'll need to install the mpfr-devel package. You'll also need to
install the mpfr package.

%package doc
Summary: Documentation for the MPFR library
License: GFDL
BuildArch: noarch

%description doc
Documentation for the MPFR library.

%prep
%autosetup -p1

%build
%configure --disable-assert --disable-static
%make_build

%install
%make_install
cp -p PATCHES README %{buildroot}%{_pkgdocdir}
find %{buildroot} -type f -name "*.la" -delete
rm -f %{buildroot}%{_infodir}/dir

#these go into licenses, not doc
rm -f %{buildroot}%{_pkgdocdir}/COPYING{,.LESSER}

%check
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}
%make_build check

%files
%license COPYING COPYING.LESSER
%{_pkgdocdir}/BUGS
%{_pkgdocdir}/NEWS
%{_pkgdocdir}/PATCHES
%{_pkgdocdir}/README
%{_libdir}/libmpfr.so.6*

%files devel
%{_libdir}/libmpfr.so
%{_includedir}/mpfr.h
%{_includedir}/mpf2mpfr.h
%{_libdir}/pkgconfig/mpfr.pc

%files doc
%{_pkgdocdir}/AUTHORS
%{_pkgdocdir}/examples
%{_pkgdocdir}/FAQ.html
%{_pkgdocdir}/TODO
%{_infodir}/mpfr.info*

%changelog
* Thu Mar 03 2022 Su Lifan <su-lifan@linux.alibaba.com> - 4.1.0-1
- Initial packaging for Anolis OS 23
